Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.examples.pieExtension
Class PieChart

    com.ibm.ulc.examples.pieExtension.PieChart

public class PieChart
implements java.awt.event.MouseMotionListener, java.awt.event.MouseListener

An example implementation of a piechart component. The purpose of this widget is purely to demonstrate how a java bean can be wrapped as a ULC component and installed as an extension to the UI Engine.

See Also:
  which wraps this component as a UI Extension. see ULCPieChart which provides the ULC developer with an API to use this extension.

Constructor Summary
`PieChart(int width, int height)` Constructs the Pie and initializes it with a context.

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener listener)`
`java.lang.String` | `getToolTipText(int segment)`
`void` | `mouseClicked(java.awt.event.MouseEvent me)`
`void` | `mouseDragged(java.awt.event.MouseEvent me)`
`void` | `mouseEntered(java.awt.event.MouseEvent me)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mouseMoved(java.awt.event.MouseEvent me)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent me)`
`void` | `paint(java.awt.Graphics g)`
`void` | `removeActionListener(java.awt.event.ActionListener listener)` This method was created by a SmartGuide.
`void` | `setData(java.lang.String[] labels, double[] values, java.lang.String[] colors)`
`void` | `update(java.awt.Graphics g)`

Constructor Detail

### PieChart

    public PieChart(int width,
                    int height)

  Constructs the Pie and initializes it with a context.
  Parameters:
    `conext` - the context where pie fetches its parameters from

Method Detail

### addActionListener

    public void addActionListener(java.awt.event.ActionListener listener)

  Parameters:
    `listener` - java.awt.event.ActionListener

### getToolTipText

    public java.lang.String getToolTipText(int segment)

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent me)

  Specified by:
    mouseClicked in interface java.awt.event.MouseListener

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent me)

  Specified by:
    mouseDragged in interface java.awt.event.MouseMotionListener

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent me)

  Specified by:
    mouseEntered in interface java.awt.event.MouseListener

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    mouseExited in interface java.awt.event.MouseListener

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent me)

  Specified by:
    mouseMoved in interface java.awt.event.MouseMotionListener

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    mousePressed in interface java.awt.event.MouseListener

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent me)

  Specified by:
    mouseReleased in interface java.awt.event.MouseListener

### paint

    public void paint(java.awt.Graphics g)

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener listener)

  This method was created by a SmartGuide.
  Parameters:
    `listener` - java.awt.event.ActionListener

### setData

    public void setData(java.lang.String[] labels,
                        double[] values,
                        java.lang.String[] colors)

  Parameters:
    `nValues` - int
    `labels` - java.lang.String[]
    `values` - double[]
    `colors` - java.lang.String[]

### update

    public void update(java.awt.Graphics g)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD